import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 10;
const eyeOffsetX = 90;
const eyeOffsetY = 100;
const eyeRadius = 40;
const mouthWidth = 10;
const mouthRadius = 140;
const faceColor = "plum";
const accentColor = "black";

const mouthArc = arc()
	.innerRadius(mouthRadius)
	.outerRadius(mouthRadius + mouthWidth)
	.startAngle(Math.PI / 2)
	.endAngle(Math.PI * 3 / 2);

const App = () => (
      	<svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>		
    <circle
          r={centerY - strokeWidth / 2}
          fill={faceColor}
          stroke={accentColor}
					stroke-width={strokeWidth}
        />
				<circle
        	cx={-eyeOffsetX}
          cy={-eyeOffsetY}
          r={eyeRadius}
          fill={accentColor}
        />
				<circle
        	cx={eyeOffsetX}
          cy={-eyeOffsetY}
          r={eyeRadius}
          fill={accentColor}
        />
    		<path
          d={mouthArc()}
          fill = {accentColor}
        />
    	</g>
      </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);